<?php

require_once("../includes/clase_sesion.php");
$sesion = new sesion(); // inicio la sesion
require_once("../includes/academia_constantes.php");
require_once("../includes/funciones_generales.php");

if (!comprobar_sesion()) {
    $responce->page = 0;
    $responce->total = 0;
    $responce->records = "0";
    echo json_encode($response);
    exit();
}

require_once("../includes/MySQL.php");
$academia = new Servidor_Base_Datos(AC_CONN_HOST, AC_CONN_USER, AC_CONN_PASS, AC_CONN_DB . "" . $sesion->get('anio'));
$tipo = $_GET[tipo];
$sql = "SELECT cod_falta, desc_falta, ide_tipo_falta, sub_falta FROM aca_detalles_faltas WHERE ide_tipo_falta=$tipo order by sub_falta;";

$academia->instruccion($sql);
$datas = array();
$b = "";
while ($reg = $academia->extraer_registro()) {
    $datas['ft'][$reg['ide_tipo_falta']][] = array(cod => $reg[cod_falta], det =>$reg['sub_falta']." - ".$reg['desc_falta']);
    
//    if ($b != $reg['sub_falta']) {
//        $datas['sf'][$reg['ide_tipo_falta']][] = array("sf"=>$reg['sub_falta']);
//        $b = $reg['sub_falta'];
//    }
}
echo json_encode($datas);
?> 